######################################################################
#
# Macro Name    : 04_move_mast.tcl
#
# Version       : Surpac Vision V5.1-G
#
# Creation Date : Fri Jun 09 16:08:03 2006
#
# Description   : 
#
######################################################################
puts ""
puts ""
puts ""

set wait 1

set status [ SclFunction "RECALL ANY FILE" {
  file="cl1.str"
  mode="openInNewLayer"
}]

set status [ SclFunction "VIEW BY BEARING" {
  frm00289={
    {
      bearing="20"
      dip="-30"
    }
  }
}]

SclPause $wait
SclPause $wait

set status [ SclFunction "ZOOM PLANE" {} ]

set status [ SclFunction "WINDOW IN" {
  window_drag={
    {
      winx1="0.210"
      winy1="-0.732"
      winx2="0.371"
      winy2="-0.958"
      objectx1="11460.853"
      objecty1="21653.264"
      objectz1="1057.088"
      objectx2="11462.469"
      objecty2="21649.823"
      objectz2="1053.652"
    }
  }
}]

set status [ SclFunction "MOVE MAST BY GRAPHICS" {
  world_drag={
    {
      objectx="11460.650"
      objecty="21653.411"
      objectz="1055.124"
      dx="0.861"
      dy="-1.529"
      dz="0.734"
    }
  }
}]

SclPause $wait

set status [ SclFunction "VIEW BY BEARING" {
  frm00289={
    {
      bearing="20"
      dip="-30"
    }
  }
}]

set status [ SclFunction "SELECT REFERENCE" {
  select_point={
    {
      winx="-0.167"
      winy="-0.182"
      objectx="11459.871"
      objecty="21653.235"
      objectz="1056.554"
    }
  }
}]

SclPause $wait

set status [ SclFunction "ERASE STRINGS FROM LAYERS" {
  frm00851={
    {
      string_range=""
      segment_range=""
      layer_name="cl1.str"
    }
  }
}]

set status [ SclFunction "ZOOM PLANE" {} ]

set status [ SclFunction "WINDOW IN" {
  window_drag={
    {
      winx1="0.206"
      winy1="-0.758"
      winx2="0.408"
      winy2="-0.499"
      objectx1="11460.792"
      objecty1="21653.332"
      objectz1="1056.692"
      objectx2="11463.228"
      objecty2="21649.227"
      objectz2="1060.613"
    }
  }
}]

SclPause $wait

set status [ SclFunction "MOVE MAST BY COORDS" {
  frm70008={
    {
      _action=display
      x_coord="0"
      y_coord="0"
    }
  }
}]

SclPause $wait

set status [ SclFunction "ROTATE MAST TO ANGLE" {
  frm70011={
    {
      _action=display
      angle="300"
    }
  }
}]

SclPause $wait

set status [ SclFunction "ROTATE MAST BY ANGLE" {
  frm70010={
    {
      _action=display
      angle="45"
    }
  }
}]

SclPause $wait

set status [ SclFunction "ROTATE MAST BY GRAPHICS" {
  world_drag={
    {
      objectx="11460.480"
      objecty="21654.081"
      objectz="1058.099"
      dx="42.076"
      dy="21655.993"
      dz="1058.087"
    }
  }
}]

SclPause $wait

set status [ SclFunction "ROTATE MAST TO POINT" {
  digitise_point={
    {
      winx="0.262"
      winy="0.808"
      objectx="11461.766"
      objecty="21651.908"
      objectz="1060.090"
      mousebutton="1.000"
    }
  }
}]

SclPause $wait

set status [ SclFunction "MOVE MAST BY COORDS" {
  frm70008={
    {
      _action=display
      x_coord="0"
      y_coord="0"
    }
  }
}]

SclPause $wait

set status [ SclFunction "ROTATE MAST TO ANGLE" {
  frm70011={
    {
      _action=display
      angle="0"
    }
  }
}]

SclPause $wait

set status [ SclFunction "MOVE MAST BY DIST" {
  frm70009={
    {
      _action=display
      x_coord="2"
      y_coord="0"
    }
  }
}]

SclPause $wait

set status [ SclFunction "MOVE MAST FROM WALL" {
  frm70020={
    {
      _action=display
      wall="right"
      x_mvmt="0.6"
    }
  }
}]

puts ""
puts ""
puts ""
puts "End of macro 04_move_mast.tcl"
puts ""
puts ""
